# eoInitVariableLength< EOT > Class Template Reference

Initializer for variable length representations with a single type. More...

`#include <eoInit.h>`

Inheritance diagram for eoInitVariableLength< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoInitVariableLength (unsigned _minSize, unsigned _maxSize, eoInit< AtomType > &_init)
| Ctor from an eoInit.
virtual void | operator() (EOT &_chrom)
| The pure virtual function that needs to be implemented by the subclass.
eoInit< AtomType > & | atomInit ()

## Private Attributes

unsigned | offset
unsigned | extent
eoInit< AtomType > & | init

## Detailed Description

### template<class EOT>
class eoInitVariableLength< EOT >

Initializer for variable length representations with a single type.

Definition at line 107 of file eoInit.h.

The documentation for this class was generated from the following file:

- eoInit.h